Bug 307891 - Review Request: libvpd - C++ library for system vpd access
Review Request: libvpd - C++ library for system vpd access
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 307901
  Show dependency treegraph
 
Reported: 2007-09-26 15:41 EDT by Eric Munson
Modified: 2008-01-25 11:45 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-25 11:45:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
patch supposed to fix the spec file issues (1.98 KB, text/x-patch)
2007-10-21 08:17 EDT, Ralf Corsepius
no flags Details

  None (edit)
Description Eric Munson 2007-09-26 15:41:22 EDT
Spec URL: http://superb-west.dl.sourceforge.net/sourceforge/linux-diag/libvpd.spec
SRPM URL: http://superb-west.dl.sourceforge.net/sourceforge/linux-diag/libvpd-1.3.4-1.src.rpm
Description: A C++ Library used for accessing information collected by the program lsvpd.  The lsvpd package also uses this library for storing the system vpd collection.

A request to add lsvpd will follow.
Comment 1 Parag AN(पराग) 2007-09-26 22:57:16 EDT
Looks this is your first package and you need SPONSOR.
Comment 2 Eric Munson 2007-10-03 19:05:33 EDT
Not sure if you were waiting for an answer to that.  If so, yes I need sponsorship.
Comment 3 Eric Munson 2007-10-10 13:00:58 EDT
We have released a new version of libvpd.  The source rpm and spec file are
available here:
Spec URL: http://superb-west.dl.sourceforge.net/sourceforge/linux-diag/libvpd.spec
SRPM URL:
http://superb-east.dl.sourceforge.net/sourceforge/linux-diag/libvpd-1.3.5-1.src.rpm
Comment 4 Ralf Corsepius 2007-10-10 21:55:05 EDT
NEEDSWORK

1. BuildRequires:  db43++-devel

A package of this name doesn't exist in Fedora.

Are you referring to db4-devel (which at least under FC7 contains libdb_cxx -
FC8 applies a different package split)?

2. /bin/sh configure --prefix=%{_prefix}/

This way of invoking configure causes your package not to receive all required
settings. Better use %configure, instead.

3. 
%files
...
/usr/lib

a) Normal packages must not own /usr/lib. They may only own files and
directories below it.
b) Your package ships libraries, but invokes configure improperly.
If it did, these libraries would land in %{_libdir} (i.e. /usr/lib64 on x86_64),
i.e. you should be using %{_libdir}/* instead.

4. Package ships static libs.

The Fedora Packaging Guideline strongly discourage packager from doing so
(append --disable-static to %configure).

Should you nevertheless, feel not to be able to avoid shipping them, please move
these static libs to a separate subpackage (*-static)

5. Package ships libtool archives.
Shipping these is being frowned upon on Fedora. Please remove them.

(In %install add something similar to rm %{_libdir}/*.la or add %exclude
%{_libdir}/*.la to %files)
Comment 5 Eric Munson 2007-10-11 13:36:04 EDT
I have posted the new spec file to sourceforge at the above link.  Please make
sure that the changes I made take care of the issues you listed.  Thanks.
Comment 6 Eric Munson 2007-10-16 17:13:11 EDT
Does the new spec file address the issues you brought up?
Comment 7 Ralf Corsepius 2007-10-17 02:39:04 EDT
(In reply to comment #6)
> Does the new spec file address the issues you brought up?

Nope, because you don't seem to have updated the spec.

Please increment the release-tags of a spec and provide direct links to this
spec and an updated *.src.rpm built from it each time you change something in
your spec.

Otherwise reviewers will not be able to tell if you actually changed something
and if they are looking at the correct file.
  
Comment 9 Ralf Corsepius 2007-10-19 01:46:24 EDT
MUSTFIX:

* Hard-coded /usr/lib in %files
Use %{_libdir} instead, otherwise your package will not build on multilib'ed
platforms.

* Package installs autoheader (config.h)
You must not install autoheaders. autoheaders are not designed to be installed.

This package's config.h (correctly) is only being used locally and not being
used by public headers, so simply taking it out of *_HEADERS in your Makefile.am
would fix this issue.

* rpmlint libvpd-debuginfo-1.3.5-2.fc7.i386.rpm 
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/logger.cpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/libvpd-1/component.hpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/vpddbenv.cpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/dataitem.cpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/vpdretriever.cpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/libvpd-1/vpddbenv.hpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/libvpd-1/vpdretriever.hpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/component.cpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/libvpd-1/dataitem.hpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/libvpd-1/logger.hpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/vpdexception.cpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/libvpd-1/lsvpd.hpp
libvpd-debuginfo.i386: W: spurious-executable-perm
/usr/src/debug/libvpd-1.3.5/src/libvpd-1/vpdexception.hpp

The permissions on these files are bogus. chmod -x them.

* rpmlint libvpd-1.3.5-2.fc7.i386.rpm 
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/Source.hpp
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/component.hpp
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/system.hpp
libvpd.i386: W: devel-file-in-non-devel-package
/usr/include/libvpd-1/vpdretriever.hpp
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/dataitem.hpp
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/lsvpd.hpp
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/debug.hpp
libvpd.i386: W: devel-file-in-non-devel-package
/usr/include/libvpd-1/vpdexception.hpp
libvpd.i386: W: devel-file-in-non-devel-package
/usr/include/libvpd-1/lsvpd_error_codes.hpp
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/config.h
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/logger.hpp
libvpd.i386: W: devel-file-in-non-devel-package /usr/include/libvpd-1/vpddbenv.hpp
libvpd.i386: W: devel-file-in-non-devel-package /usr/lib/libvpd_cxx.so
libvpd.i386: W: devel-file-in-non-devel-package
/usr/include/libvpd-1/helper_functions.hpp

Please split this package into a *-devel subpackage (libvpd-devel) and a run
time package (libvpd)

* rpmlint libvpd-1.3.5-2.fc7.i386.rpm
libvpd.i386: E: no-changelogname-tag

Please add changelog entries.

* rpmlint libvpd-1.3.5-2.fc7.i386.rpm
libvpd.i386: W: invalid-license LGPL
Fedora wants you to use LGPLv2+ (Your package is licensed LGPL 2.1 or any later)

Comment 11 Ralf Corsepius 2007-10-21 08:16:46 EDT
*-3 doesn't build at all:
...
+ chmod 644 '/usr/include/libvpd-1/*.hpp'
chmod: cannot access `/usr/include/libvpd-1/*.hpp': No such file or directory
error: Bad exit status from /var/tmp/rpm-tmp.6235 (%install)

Seems to me, as if you mis-read my remark on "broken permissions". The issue is
the _source files_ carrying bogus permissions inside of the upstream tarball,
not them carrying bogus permissions after installation. To fix this, either
upstream will want to fix the tarball, or you will want to chmod -x them in %prep.

Also, there more minor issues with your spec.
Comment 12 Ralf Corsepius 2007-10-21 08:17:42 EDT
Created attachment 233601 [details]
patch supposed to fix the spec file issues
Comment 13 Eric Munson 2007-10-22 12:13:50 EDT
I took most of the patch.  I left the definitions at the top of the spec because
these are filled in by the configure script and because there were references to
the variables left in.  Please take a look the the new set here:
SPEC: http://superb-east.dl.sourceforge.net/sourceforge/linux-diag/libvpd.spec
SRPM:
http://superb-east.dl.sourceforge.net/sourceforge/linux-diag/libvpd-1.3.5-4.src.rpm
Comment 14 Eric Munson 2007-10-30 17:01:07 EDT
We just released libvpd-1.4.0 which includes a C API for accessing the VPD db. 
There were no code changes to the C++ library.  Here are the new files:
SPEC: http://superb-east.dl.sourceforge.net/sourceforge/linux-diag/libvpd.spec
SRPM:
http://internap.dl.sourceforge.net/sourceforge/linux-diag/libvpd-1.4.0-1.src.rpm
Comment 15 Eric Munson 2007-10-31 18:44:11 EDT
Spec file needed updating for the right library names.

SPEC: http://internap.dl.sourceforge.net/sourceforge/linux-diag/libvpd.spec
SRPM:
http://internap.dl.sourceforge.net/sourceforge/linux-diag/libvpd-1.4.0-2.src.rpm
Comment 16 Michael Schwendt 2007-11-07 07:54:08 EST
$ rpmlint libvpd-1.4.0-2.src.rpm 
libvpd.src:17: W: unversioned-explicit-provides libvpd_cxx


> #! /usr/bin/rpm

What's that? Spec files are not executable, RPM is at /bin/rpm,
and you cannot execute a spec file via rpm anyway.


> %define name libvpd
> %define version 1.4.0

These are completely redundant, because %{name} and %{version}
are defined by the following tags already:

Name:		%{name}
Version:	%{version}


> %configure --prefix=%{_prefix}/ --disable-static

The --prefix=/usr is default, see:  rpm --eval %configure


> /usr/bin/make %{?_smp_mflags}

Use just "make" in $PATH or %{__make}


> %clean 
> /bin/rm -rf $RPM_BUILD_ROOT

Same here. Prefer "rm" or %{__rm}


> %doc COPYING INSTALL NEWS README TODO

The INSTALL file is irrelevant to RPM package users.


> %exclude %{_libdir}/*.la
> %{_libdir}/libvpd_cxx*
> %{_libdir}/libvpd*

This looks suspicious. Examining it further below.


> %files devel
> %defattr(-,root,root)
> %doc COPYING INSTALL NEWS README TODO

Don't duplicate the %doc files here, they are included in the
main package already. And -devel pkgs require the main package.

[...]

Build log warnings:

warning: File listed twice: /usr/lib/libvpd_cxx
warning: File listed twice: /usr/lib/libvpd_cxx.1
warning: File listed twice: /usr/lib/libvpd_cxx.1.0.0

$ rpmls -p libvpd-1.4.0-2.fc8.i386.rpm 
lrwxrwxrwx  /usr/lib/libvpd
lrwxrwxrwx  /usr/lib/libvpd.1
-rwxr-xr-x  /usr/lib/libvpd.1.0.0
lrwxrwxrwx  /usr/lib/libvpd_cxx
lrwxrwxrwx  /usr/lib/libvpd_cxx.1
-rwxr-xr-x  /usr/lib/libvpd_cxx.1.0.0
drwxr-xr-x  /usr/share/doc/libvpd-1.4.0
-rw-r--r--  /usr/share/doc/libvpd-1.4.0/COPYING
-rw-r--r--  /usr/share/doc/libvpd-1.4.0/INSTALL
-rw-r--r--  /usr/share/doc/libvpd-1.4.0/NEWS
-rw-r--r--  /usr/share/doc/libvpd-1.4.0/README
-rw-r--r--  /usr/share/doc/libvpd-1.4.0/TODO

Where are the linkable libvpd.so and libvpd_cxx.so? They belong
into the -devel package, but instead the main package includes
mysterious /usr/lib/libvpd and /usr/lib/libvpd_cxx without the
*.so extension.

$ rpmls -p libvpd-devel-1.4.0-2.fc8.i386.rpm |grep so
$

That's a blocker.
Comment 17 Eric Munson 2007-11-16 16:41:26 EST
I have made most of the changes you requested.  The %defines at the top of the
file are set by autotools on my build machines and so I would prefer to leave
them.  Here are the updated files:
SPEC: http://superb-west.dl.sourceforge.net/sourceforge/linux-diag/libvpd.spec
SRPM:
http://superb-east.dl.sourceforge.net/sourceforge/linux-diag/libvpd-1.4.1-1.src.rpm
Comment 18 Mamoru TASAKA 2007-12-16 10:57:46 EST
For 1.4.1-1:

* SourceURL
  - http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
    returns 404 (not found).

* BuildRequires
  - Would you explain why "BuildRequires: libtool" is needed?

* Provides
  - "Provides: libvpd" must be removed.
  - And I don't think adding "Provides: libvpd_cxx" is proper.

* pkgconfig .pc file inclusion
  (Please refer to
   http://fedoraproject.org/wiki/Packaging/Guidelines
   http://fedoraproject.org/wiki/Packaging/ReviewGuidelines )
  - Packages containing pkgconfig(.pc) files must 
    'Requires: pkgconfig' (for directory ownership and usability).

* pkgconfig .pc file itself

  - For example, %_libdir/pkgconfig/libvpd-1.pc contains the
    line:
--------------------------------------------------------------
Cflags: -I${includedir}/libvpd-1 -I${libdir}/libvpd-1/include
--------------------------------------------------------------
    However, I don't think -I${libdir}/libvpd-1/include is needed
    as no files are installed under this directory.

  - And this .pc file also contains
--------------------------------------------------------------
Libs: -L${libdir} -lpthread -ldb -llibvpd-1
--------------------------------------------------------------
    "-ldb" means that libvpd-devel should have "Requires: db4-devel".
    Also, %_include/libvpd-1/vpddbenv.h contains
--------------------------------------------------------------
    26  
    27  #include <stdlib.h>
    28  #include <string.h>
    29  #include <db.h>
    30  
--------------------------------------------------------------

* Timestamps
  - Please use
---------------------------------------------------------------
%{__make} install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
---------------------------------------------------------------
    to keep timestamps on installed files.
    While this sometimes does not work, this method usually works
    for recent Makefiles.

* %exclude
---------------------------------------------------------------
%files
....
%exclude %{_libdir}/*.la
.....
%files devel
.....
%exclude %{_libdir}/*.la
---------------------------------------------------------------
   - Rather simply remove libtool .la file at %install like:
---------------------------------------------------------------
%install
......
%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/*.la
---------------------------------------------------------------

* Macros in %changelog
  - If you try "rpm -q --changelog libvpd", you will see:
---------------------------------------------------------------
* Fri Nov 16 2007 Eric Munson <ebmunson@us.ibm.com> - 1.4.1-1
- Removing INSTALL from docs and docs from -devel package
- Fixing Makfile.am so libraries have the .so extension
- Using 
  CFLAGS="${CFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables}" ; export CFLAGS ; 
  CXXFLAGS="${CXXFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables}" ; export CXXFLAGS ; 
  FFLAGS="${FFLAGS:--O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables}" ; export FFLAGS ; 
  for i in $(find . -name config.guess -o -name config.sub) ; do 
           [ -f /usr/lib/rpm/redhat/$(basename $i) ] && /bin/rm -f $i && /bin/cp
-fv /usr/lib/rpm/redhat/$(basename $i) $i ; 
  done ; 
  ./configure --build=i386-redhat-linux-gnu --host=i386-redhat-linux-gnu \
        --target=i386-redhat-linux-gnu \
        --program-prefix= \
        --prefix=/usr \
        --exec-prefix=/usr \
        --bindir=/usr/bin \
        --sbindir=/usr/sbin \
        --sysconfdir=/etc \
        --datadir=/usr/share \
        --includedir=/usr/include \
        --libdir=/usr/lib \
        --libexecdir=/usr/libexec \
        --localstatedir=/var \
        --sharedstatedir=/usr/com \
        --mandir=/usr/share/man \
        --infodir=/usr/share/info, /usr/bin/make, and /bin/rm calls
- Changing source URL
---------------------------------------------------------------
  Here macros are expanded. Suppress macros expanding by using %%, like
---------------------------------------------------------------
* Fri Nov 16 2007 Eric Munson <ebmunson@us.ibm.com> - 1.4.1-1
- Removing INSTALL from docs and docs from -devel package
- Fixing Makfile.am so libraries have the .so extension
- Using %%configure, %%{__make}, and %%{__rm} calls
- Changing source URL
---------------------------------------------------------------

  ! By the way, you can find this type of errors using rpmlint
    (in rpmlint package) like:
---------------------------------------------------------------
$ rpmlint *rpm
libvpd.i386: E: useless-explicit-provides libvpd
libvpd.src:16: W: unversioned-explicit-provides libvpd_cxx
libvpd.src:16: W: unversioned-explicit-provides libvpd
libvpd.src:67: W: macro-in-%changelog configure
libvpd-devel.i386: W: no-documentation
---------------------------------------------------------------
Comment 19 Ralf Corsepius 2007-12-16 13:20:17 EST
(In reply to comment #18)
> * %exclude

>    - Rather simply remove libtool .la file at %install like:
Mamoru, theŕe is no technical reason to favor rm over %exclude. It's a personal
preference of yours only. Besides this, you are right on all other remarks.
Comment 20 Eric Munson 2007-12-17 19:01:17 EST
Source URL will be fixed in the next release.

libtool is in BuildRequires because the build process uses it to build the
libraries.

This package provides a C++ library and a C library (libvpd_cxx and libvpd
respectively).  On my system, rpmbuild does not fill out the Provides section so
when I would install something that depended on either of these I would get
unsatisfied dependency errors.

pkgconfig Requires and .pc files will be fixed in the next release.

Same for -devel Requires and changelog

I have not been able to get rpmlint to work on my debian or gentoo systems yet.
Comment 21 Mamoru TASAKA 2007-12-18 12:05:07 EST
(In reply to comment #20)
> libtool is in BuildRequires because the build process uses it to build the
> libraries.
  - Really? Your spec file actually does not call libtoolize
    and currently I cannot find where actually libtool is needed.

> This package provides a C++ library and a C library (libvpd_cxx and libvpd
> respectively).  On my system, rpmbuild does not fill out the Provides section so
> when I would install something that depended on either of these I would get
> unsatisfied dependency errors.
  rpmbuild automatically adds
  "Provides: libvpd_cxx-1.4.so.1", which should correctly remove
  the need of writing "Provides: libvpd_cxx", for example.
  If unsatisfied dependency error occurs, then I guess the dependency
  is _actually_ not satisfied (you cannot ignore soversion mismatch,
  for example).
 
> I have not been able to get rpmlint to work on my debian or 
> gentoo systems yet.
  ... Please import Fedora system :)

Comment 22 Eric Munson 2008-01-03 14:23:01 EST
I believe that all your concerns have been addressed in the latest release.

SPEC: http://downloads.sourceforge.net/linux-diag/libvpd.spec
SRPM: http://downloads.sourceforge.net/linux-diag/libvpd-1.5.0-0.src.rpm
Comment 23 Mamoru TASAKA 2008-01-06 10:23:41 EST
For 1.5.0-0:

* Source tarball
  - The source tarball in your srpm is different from what I downloaded
    from the URL written as Source0.
-----------------------------------------------------------
$ ls -al *1.5.0*gz *1.5.0*/*gz
-rw-r--r-- 1 tasaka1 tasaka1 356056 2008-01-04 04:02
libvpd-1.5.0-0/libvpd-1.5.0.tar.gz
-rw------- 1 tasaka1 tasaka1 351239 2007-12-28 16:56 libvpd-1.5.0.tar.gz
$ md5sum *1.5.0*gz *1.5.0*/*gz
3743138471c729313e5a7482bb2f0f69  libvpd-1.5.0.tar.gz
696ebca1f4b11dfee3beee0ae25b09a7  libvpd-1.5.0-0/libvpd-1.5.0.tar.gz
-----------------------------------------------------------

* pkgconfig dependency
  - The package which contains pkgconfig .pc files should have
    "Requires: pkgconfig". This means that libvpd-devel (not libvpd)
    should have this Requires.

* Timestamps
  - As said in comment 18, please try to use
---------------------------------------------------------------
%{__make} install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
---------------------------------------------------------------
    to keep timestamps on installed files.

* Defattr
  - Now we recommend %defattr(-,root,root,-)

* Documents
  - Please add the following files to %doc.
---------------------------------------------------------------
AUTHORS
---------------------------------------------------------------
Comment 24 Ralf Corsepius 2008-01-07 00:29:24 EST
(In reply to comment #23)

> * Timestamps
>   - As said in comment 18, please try to use
> ---------------------------------------------------------------
> %{__make} install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
> ---------------------------------------------------------------
>     to keep timestamps on installed files.
Mamoru, which clue stick does it take to hit you with until you finally
comprehend that you are enforcing a personal preference of yours for NO
TECHNICAL reasons?
Comment 25 Eric Munson 2008-01-07 13:17:42 EST
I have addressed all the issues.  Inclusion of this package is important to my
management so I was wondering if you could get back to me with all of the spec
file changes in one comment because I need to provide an estimate to my team
lead for how much work I will need to put it.  Thanks for your comments.

The new SPEC file and SRPM are here:

SPEC: http://downloads.sourceforge.net/linux-diag/libvpd.spec
SRPM: http://downloads.sourceforge.net/linux-diag/libvpd-1.5.0-1.src.rpm
Comment 26 Mamoru TASAKA 2008-01-08 09:27:30 EST
Well, still the tarball in your srpm does not match with
what is written as Source0??
Comment 27 Eric Munson 2008-01-08 12:27:23 EST
Actually it does, please make sure that you have downloaded the 1.5.0-1 srpm and
pul the latest tarball from sf.

emunson@grover:~/upload$ ls -lsa
total 360
  4 drwxr-xr-x  2 emunson emunson   4096 2008-01-08 09:23 .
  4 drwxr-xr-x 50 emunson emunson   4096 2008-01-08 09:24 ..
352 -rw-r--r--  1 emunson emunson 356118 2008-01-07 10:05 libvpd-1.5.0.tar.gz
emunson@grover:~/upload$ md5sum libvpd-1.5.0.tar.gz
00e1cfb4f9197112c9779522d18bef9e  libvpd-1.5.0.tar.gz

emunson@grover:/usr/src/rpm/SOURCES$ ls -lsa
total 468
112 drwxrwsr-x 2 root src 110592 2008-01-08 09:25 .
  4 drwxrwsr-x 7 root src   4096 2007-11-13 10:58 ..
352 -rw-r--r-- 1 root src 356118 2008-01-07 09:59 libvpd-1.5.0.tar.gz
emunson@grover:/usr/src/rpm/SOURCES$ md5sum libvpd-1.5.0.tar.gz
00e1cfb4f9197112c9779522d18bef9e  libvpd-1.5.0.tar.gz

The first was pulled from sf using wget and the second was retrieved by
installing the srpm.
Comment 28 Mamoru TASAKA 2008-01-09 10:14:20 EST
Well:
----------------------------------------------------------------
$ ls -al old/*gz *gz
-rw------- 1 tasaka1 tasaka1 356118 2008-01-08 03:05 libvpd-1.5.0.tar.gz
-rw------- 1 tasaka1 tasaka1 351239 2007-12-28 16:56 old/libvpd-1.5.0.tar.gz
----------------------------------------------------------------
The tarball in sourceforge.net changed.... What happened??

It seems that you are one of the upstream developers so:
Please don't change the tarball which is once formally released.
It surely confuses people who want to use the tarball (and actually
did...) So would you retrieve the original 1.5.0 tarball and
"release the new tarball" if you want to modify the original tarball
itself?

Anyway:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 29 Mamoru TASAKA 2008-01-17 09:35:20 EST
ping?
Comment 30 Eric Munson 2008-01-17 15:53:26 EST
Here are the spec files that I have looked at so far:

238815
251947
Comment 31 Mamoru TASAKA 2008-01-18 08:50:39 EST
Would you resolve tarball problem first?
Comment 32 Eric Munson 2008-01-18 16:40:53 EST
The old tarball that you downloaded was not actually ready for release, the
other upstream maintainer released it without updating the NEWS and TODO files
and I had to make the version set in the configure.in script match the reported
version.  The old tar ball will not be coming back because it was release in error.
Comment 33 Mamoru TASAKA 2008-01-19 08:24:15 EST
Okay.

- This package (libvpd) itself is okay
- Your pre-review seems good for initial comments

-----------------------------------------------------------------
   This package (libvpd) is APPROVED by me
------------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Get a Fedora Account".
At a point a mail should be sent to sponsor members which notifies
that you need a sponsor. At the stage, please also write on
this bug for confirmation that you requested for sponsorship and
your FAS (Fedora Account System) name. Then I will sponsor you.

If you want to import this package into Fedora 7/8, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).

If you have questions, please ask me.
Comment 34 Eric Munson 2008-01-22 14:02:18 EST
I have an account and I need sponsorship to get into the cvsextras group.  My
FAS name is emunson.
Comment 35 Mamoru TASAKA 2008-01-22 21:13:09 EST
Okay. Now I am sponsoring you.
Comment 36 Eric Munson 2008-01-24 11:59:14 EST
New Package CVS Request
=======================
Package Name: libvpd
Short Description: Library for access to system vpd collection
Owners: emunson
Branches: F-8 EL-4 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 37 Kevin Fenzi 2008-01-24 12:43:53 EST
cvs done.
Comment 38 Eric Munson 2008-01-25 11:45:39 EST
The build system returned successful, I am marking this as NEXTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.